COMPILE {base} | R Documentation

## Compile Files for Use with R

### Description

Compile given source files so that they can subsequently be collected into a shared library using `R CMD SHLIB` and be loaded into R using `dyn.load()`.

### Usage

    R CMD COMPILE [options] srcfiles

### Arguments

`srcfiles` | A list of the names of source files to be compiled. Currently, C, C++ and FORTRAN are supported; the corresponding files should have the extensions ‘`.c`’, ‘`.cc`’ (or ‘`.cpp`’ or ‘`.C`’), and ‘`.f`’, respectively.
`options` | A list of compile-relevant settings, such as special values for `CFLAGS` or `FFLAGS`, or for obtaining information about usage and version of the utility.

### Details

Note that Ratfor is not supported. If you have Ratfor source code, you need to convert it to FORTRAN. On many Solaris systems mixing Ratfor and FORTRAN code will work.

### See Also

`SHLIB`, `dyn.load`

[Package Contents]